#libraries
library(tidyverse)
# wd (change)
setwd("~/Documents/Research/research_others/consult/08_us_polling/conditional")
#load data
sim <- data.frame(read_csv("electoral_college_simulations.csv"))
# create container
df <- matrix(NA, ncol = 6, nrow = 0)
# loopy
for (i in 4:ncol(sim)){
  # win
  tmp <- sim[sim[,i]> 0.5,]
  add <- c(i, "win", 
           mean(tmp$natl_pop_vote), sd(tmp$natl_pop_vote),
           mean(tmp$dem_ev), sd(tmp$dem_ev))
  df <- rbind(df, add)
  # loss
  tmp <- sim[sim[,i] < 0.5,]
  add <- c(i, "loss", 
           mean(tmp$natl_pop_vote), sd(tmp$natl_pop_vote),
           mean(tmp$dem_ev), sd(tmp$dem_ev))
  df <- rbind(df, add)
  # inbetween
  tmp <- sim[sim[,i] > 0.49 & sim[,i] < 0.51,]
  add <- c(i, "middle", 
           mean(tmp$natl_pop_vote), sd(tmp$natl_pop_vote),
           mean(tmp$dem_ev), sd(tmp$dem_ev))
  df <- rbind(df, add)
}